Skip to main content

Get a Container Template asset

GET/v2/container-templates/{templateId}/assets/{assetPath}
API version
v2
Request method
GET
Operation ID
container-get-template-asset

Request​

  • templateIdstringrequired

    ID of the Template to get the asset for.

  • assetPathstringrequired

    Path of the asset relative to the template directory.

Responses​

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/container-templates/string/assets/string
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.container.getTemplateAsset({
"templateId": "string",
"assetPath": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Container\GetTemplateAsset\GetTemplateAssetRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetTemplateAssetRequest(
templateId: "string",
assetPath: "string"
));
$response = $client->container()->getTemplateAsset($request);

var_dump($response->getBody();

On this page